Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
user_timesheet| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key of User |
globally unique identifier |
Required |
| hour_type_id |
Foreign key of the hour type |
globally unique identifier |
Required |
| date_from_rounded |
Date+Time timesheet FROM |
date |
Required |
| date_to_rounded |
Date+Time timesheet TO |
date |
Required |
| remark |
Additional remark field |
string | |
| is_approved |
Inform if this user_timesheet belongs to a week approved (readonly) |
boolean | |
| db_table_id |
Foreign key to the table timesheet is linked. Can be a jobs,project,company or empty |
globally unique identifier | |
| db_table_name |
Value of the linked table (from db_table_id) |
string | |
| id_in_table |
Foreign key of the object linked. Can be a jobs.id, project.id , company.id or empty |
globally unique identifier |
Optionally required : id_in_table must be provided |
| free_jobs_reference |
In case the user didn’t select a linked object, he can fill himself a reference |
string | |
| property_1_checked |
True/False status of property 1 |
boolean | |
| property_2_checked |
True/False status of property 2 |
boolean | |
| property_3_checked |
True/False status of property 3 |
boolean | |
| property_4_checked |
True/False status of property 4 |
boolean | |
| property_5_checked |
True/False status of property 5 |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "0971aa52-65e4-4e23-924b-c4f504836b65",
"user_id": "a4651379-7364-4a2f-b32d-6149fdad6bc3",
"hour_type_id": "57db948d-6dec-412e-98f2-8d75b0054bbd",
"date_from_rounded": "2026-06-25T22:27:39.5279056+00:00",
"date_to_rounded": "2026-06-25T22:27:39.5279056+00:00",
"remark": "sample string 6",
"is_approved": true,
"db_table_id": "3b3e932e-fcf9-4b4d-bee3-0e43872d829a",
"db_table_name": "sample string 9",
"id_in_table": "d26edd89-6051-4096-889a-0b71cb24b5f4",
"free_jobs_reference": "sample string 11",
"property_1_checked": true,
"property_2_checked": true,
"property_3_checked": true,
"property_4_checked": true,
"property_5_checked": true,
"modified_dateutc": "2026-06-25T22:27:39.5279056+00:00"
}